Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update a thread

Mark every message read or unread, or move it to inbox, archive, spam or trash (moving out of trash restores it). Labels have their own routes: POST, PUT and DELETE /inboxes/{inbox_id}/threads/{thread_id}/labels.

PATCH/inboxes/{inbox_id}/threads/{thread_id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
inbox_idstringerforderlich

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>erforderlich

The thread ID

Request-Body
application/json
readboolean

Marks every message read or unread

folderstring

sent is assigned, never chosen

Erlaubt:inboxarchivespamtrash
Antworten
200

Thread updated

objectstringerforderlich
Erlaubt:inbox_thread
idstring<uuid>erforderlich
subjectstring | nullerforderlich
folderstringerforderlich
Erlaubt:inboxarchivespamsenttrash
labelsobject[]erforderlich
Eigenschaften anzeigen
Array von object
idstring<uuid>erforderlich
namestringerforderlich
colorstringerforderlich
readbooleanerforderlich
quarantinedintegererforderlich

BillionSend extension: held messages; 0 for inbox-scoped keys

401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Inbox or thread not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X PATCH 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "read": true,
  "folder": "inbox"
}'
Antwort
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "subject": "string",
  "folder": "inbox",
  "labels": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string"
    }
  ],
  "read": true,
  "quarantined": 0
}

War diese Seite hilfreich?